Can't update from 4.1.1

I'm confused. My ATV shows I'm on 4.1.1. I've had beta 2 installed for a while. I wanted to update to 4.2.1 and used Season Pass--but it's giving me "The device could not be restored...The device isn't eligible for the requested build." 

And when I click on Update Software in the Settings Menu it says I have the latest version of software. 

Thanks